<wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="urn:sap-com:document:sap:soap:functions:mc-style" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:n1="urn:sap-com:document:sap:rfc:functions" targetNamespace="urn:sap-com:document:sap:soap:functions:mc-style">
<wsdl:documentation>
<sidl:sidl xmlns:sidl="http://www.sap.com/2007/03/sidl"/>
</wsdl:documentation>
<wsp:UsingPolicy wsdl:required="true"/>
<wsp:Policy wsu:Id="BN_ZWS_ZMES_PRODORDCONF">
<wsaw:UsingAddressing xmlns:wsaw="http://schemas.xmlsoap.org/ws/2004/08/addressing"/>
<saptrnbnd:OptimizedXMLTransfer xmlns:saptrnbnd="http://www.sap.com/webas/710/soap/features/transportbinding/" uri="http://xml.sap.com/2006/11/esi/esp/binxml" wsp:Optional="true"/>
<sapattahnd:Enabled xmlns:sapattahnd="http://www.sap.com/710/features/attachment/">false</sapattahnd:Enabled>
<wsp:ExactlyOne xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:sapsp="http://www.sap.com/webas/630/soap/features/security/policy" xmlns:sp="http://docs.oasis-open.org/ws-sx/ws-securitypolicy/200702" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:wsu="http://schemas.xmlsoap.org/ws/2002/07/utility">
<wsp:All>
<sp:TransportBinding>
<wsp:Policy>
<sp:TransportToken>
<wsp:Policy>
<sp:HttpsToken>
<wsp:Policy>
<sp:HttpBasicAuthentication/>
</wsp:Policy>
</sp:HttpsToken>
</wsp:Policy>
</sp:TransportToken>
<sp:AlgorithmSuite>
<wsp:Policy>
<sp:TripleDesRsa15/>
</wsp:Policy>
</sp:AlgorithmSuite>
<sp:Layout>
<wsp:Policy>
<sp:Strict/>
</wsp:Policy>
</sp:Layout>
</wsp:Policy>
</sp:TransportBinding>
</wsp:All>
</wsp:ExactlyOne>
</wsp:Policy>
<wsp:Policy wsu:Id="IF_zws_zmes_PRODORDCONF">
<sapsession:Session xmlns:sapsession="http://www.sap.com/webas/630/soap/features/session/">
<sapsession:enableSession>false</sapsession:enableSession>
</sapsession:Session>
<wsp:ExactlyOne xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:sapsp="http://www.sap.com/webas/630/soap/features/security/policy" xmlns:sp="http://docs.oasis-open.org/ws-sx/ws-securitypolicy/200702" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:wsu="http://schemas.xmlsoap.org/ws/2002/07/utility"/>
</wsp:Policy>
<wsp:Policy wsu:Id="OP_ZmesProdordconf">
<sapcomhnd:enableCommit xmlns:sapcomhnd="http://www.sap.com/NW05/soap/features/commit/">false</sapcomhnd:enableCommit>
<sapblock:enableBlocking xmlns:sapblock="http://www.sap.com/NW05/soap/features/blocking/">true</sapblock:enableBlocking>
<saptrhnw05:required xmlns:saptrhnw05="http://www.sap.com/NW05/soap/features/transaction/">no</saptrhnw05:required>
<saprmnw05:enableWSRM xmlns:saprmnw05="http://www.sap.com/NW05/soap/features/wsrm/">false</saprmnw05:enableWSRM>
</wsp:Policy>
<wsdl:types>
<xsd:schema attributeFormDefault="qualified" targetNamespace="urn:sap-com:document:sap:rfc:functions">
<xsd:simpleType name="char1">
<xsd:restriction base="xsd:string">
<xsd:maxLength value="1"/>
</xsd:restriction>
</xsd:simpleType>
<xsd:simpleType name="char12">
<xsd:restriction base="xsd:string">
<xsd:maxLength value="12"/>
</xsd:restriction>
</xsd:simpleType>
<xsd:simpleType name="char4">
<xsd:restriction base="xsd:string">
<xsd:maxLength value="4"/>
</xsd:restriction>
</xsd:simpleType>
<xsd:simpleType name="char50">
<xsd:restriction base="xsd:string">
<xsd:maxLength value="50"/>
</xsd:restriction>
</xsd:simpleType>
<xsd:simpleType name="quantum13.3">
<xsd:restriction base="xsd:decimal">
<xsd:totalDigits value="13"/>
<xsd:fractionDigits value="3"/>
</xsd:restriction>
</xsd:simpleType>
</xsd:schema>
<xsd:schema xmlns:n0="urn:sap-com:document:sap:rfc:functions" attributeFormDefault="qualified" targetNamespace="urn:sap-com:document:sap:soap:functions:mc-style">
<xsd:import namespace="urn:sap-com:document:sap:rfc:functions"/>
<xsd:complexType name="ZprodordconfStruIn">
<xsd:sequence>
<xsd:element name="Aufnr" type="n0:char12"/>
<xsd:element name="Vornr" type="n0:char4"/>
<xsd:element name="Aueru" type="n0:char1"/>
<xsd:element name="Lmnga" type="n0:quantum13.3"/>
<xsd:element name="Xmnga" type="n0:quantum13.3"/>
<xsd:element name="Ism01" type="n0:quantum13.3"/>
<xsd:element name="Ism02" type="n0:quantum13.3"/>
<xsd:element name="Ism03" type="n0:quantum13.3"/>
<xsd:element name="Ism04" type="n0:quantum13.3"/>
<xsd:element name="Ism05" type="n0:quantum13.3"/>
<xsd:element name="Ism06" type="n0:quantum13.3"/>
</xsd:sequence>
</xsd:complexType>
<xsd:complexType name="ZprodordconfStruOut">
<xsd:sequence>
<xsd:element name="Aufnr" type="n0:char12"/>
<xsd:element name="Vornr" type="n0:char4"/>
<xsd:element name="Aueru" type="n0:char1"/>
<xsd:element name="Lmnga" type="n0:quantum13.3"/>
<xsd:element name="Ism01" type="n0:quantum13.3"/>
<xsd:element name="Ism02" type="n0:quantum13.3"/>
<xsd:element name="Ism03" type="n0:quantum13.3"/>
<xsd:element name="Ism04" type="n0:quantum13.3"/>
<xsd:element name="Ism05" type="n0:quantum13.3"/>
<xsd:element name="Ism06" type="n0:quantum13.3"/>
<xsd:element name="Ret" type="n0:char1"/>
<xsd:element name="Msg" type="n0:char50"/>
</xsd:sequence>
</xsd:complexType>
<xsd:complexType name="TableOfZprodordconfStruIn">
<xsd:sequence>
<xsd:element name="item" type="tns:ZprodordconfStruIn" minOccurs="0" maxOccurs="unbounded"/>
</xsd:sequence>
</xsd:complexType>
<xsd:complexType name="TableOfZprodordconfStruOut">
<xsd:sequence>
<xsd:element name="item" type="tns:ZprodordconfStruOut" minOccurs="0" maxOccurs="unbounded"/>
</xsd:sequence>
</xsd:complexType>
<xsd:element name="ZmesProdordconf">
<xsd:complexType>
<xsd:sequence>
<xsd:element name="InItab" type="tns:TableOfZprodordconfStruIn" minOccurs="0"/>
<xsd:element name="OutItab" type="tns:TableOfZprodordconfStruOut" minOccurs="0"/>
</xsd:sequence>
</xsd:complexType>
</xsd:element>
<xsd:element name="ZmesProdordconfResponse">
<xsd:complexType>
<xsd:sequence>
<xsd:element name="InItab" type="tns:TableOfZprodordconfStruIn"/>
<xsd:element name="OutItab" type="tns:TableOfZprodordconfStruOut"/>
<xsd:element name="Ret" type="n0:char1"/>
</xsd:sequence>
</xsd:complexType>
</xsd:element>
</xsd:schema>
</wsdl:types>
<wsdl:message name="ZmesProdordconf">
<wsdl:part name="parameters" element="tns:ZmesProdordconf"/>
</wsdl:message>
<wsdl:message name="ZmesProdordconfResponse">
<wsdl:part name="parameter" element="tns:ZmesProdordconfResponse"/>
</wsdl:message>
<wsdl:portType name="zws_zmes_PRODORDCONF">
<wsp:Policy>
<wsp:PolicyReference URI="#IF_zws_zmes_PRODORDCONF"/>
</wsp:Policy>
<wsdl:operation name="ZmesProdordconf">
<wsp:Policy>
<wsp:PolicyReference URI="#OP_ZmesProdordconf"/>
</wsp:Policy>
<wsdl:input message="tns:ZmesProdordconf"/>
<wsdl:output message="tns:ZmesProdordconfResponse"/>
</wsdl:operation>
</wsdl:portType>
<wsdl:binding name="ZWS_ZMES_PRODORDCONF" type="tns:zws_zmes_PRODORDCONF">
<wsp:Policy>
<wsp:PolicyReference URI="#BN_ZWS_ZMES_PRODORDCONF"/>
</wsp:Policy>
<wsa:EndpointReference xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing">
<wsa:ReferenceParameters/>
</wsa:EndpointReference>
<soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
<wsdl:operation name="ZmesProdordconf">
<soap:operation soapAction="" style="document"/>
<wsdl:input>
<soap:body use="literal"/>
</wsdl:input>
<wsdl:output>
<soap:body use="literal"/>
</wsdl:output>
</wsdl:operation>
</wsdl:binding>
<wsdl:service name="ZWS_ZMES_PRODORDCONF">
<wsdl:port name="ZWS_ZMES_PRODORDCONF" binding="tns:ZWS_ZMES_PRODORDCONF">
<soap:address location="http://sapdev.mesnac.com:8000/sap/bc/srt/rfc/sap/zws_zmes_prodordconf/302/zws_zmes_prodordconf/zws_zmes_prodordconf"/>
</wsdl:port>
</wsdl:service>
</wsdl:definitions>